| Extracted from Pike v7.8 release 866 at 2018-07-18.

[Top]
Protocols
Protocols.LDAP
Protocols.LDAP.client

# Method Protocols.LDAP.client()->get_cached_filter()

Method get_cached_filter

  `object get_cached_filter(string filter)`

Description

  This is a wrapper for Protocols.LDAP.get_cached_filter which passes the LDAP protocol version currently in use by this connection.

Throws

  If there's a parse error in the filter then a Protocols.LDAP.FilterError is thrown as from Protocols.LDAP.make_filter .